<link href="https://fonts.googleapis.com/css?family=Athiti:600" rel="stylesheet">

<ion-header no-border style="margin-top: 5%; margin-bottom: 5%;">
  <ion-navbar>
    <button ion-button menuToggle (click)="back()">
      <ion-icon name="ios-arrow-back" class="icon-header"></ion-icon>
    </button>
  </ion-navbar>
</ion-header>

<ion-content class="auth-bg bg-all">
  <ion-grid style="margin-top: 10%;">
    <ion-row>

      <ion-col col-1>
      </ion-col>
      <ion-col col-10 class="card">
        <ion-col col-5 class="icon-bookmark">
          <ion-icon *ngIf="student_level == '1' || student_level == '2' " name="md-bookmark" class="bookmark">
          </ion-icon>
          <ion-icon *ngIf="student_level == '1' " name="md-star" class="star"></ion-icon>
        </ion-col>
        <ion-col col-10 class="school">
          <img src="{{school_img}}">
        </ion-col>

        <ion-row justify-content-center style="width: 100%;">
          <img style="margin-top: 100px; border-radius: 50%;width: 180px; height: 180px;object-fit: cover; " src="{{student_img}}"
            (click)="changeProfileImg()">
        </ion-row>


        <ion-col col-12>
          <p class="name1">Username : {{username}} </p>
          <hr class="hr-color">
        </ion-col>
        <ion-col col-12>
          <p class="name2">ชื่อ : {{first}} </p>
          <p class="name2">นามสกุล : {{last}}</p>
          <p class="name2">{{schoolname}}</p>
          <p class="name2">เลขประจำตัว : {{schoolid}}</p>
          <p class="name2">เบอร์โทรศัพท์ : {{Tel}}</p>
          <p class="name3">GPA : {{gpa | number: '1.2-2'}}</p>
        </ion-col>
      </ion-col>
      <ion-col col-10>
        <button ion-button full class="btnhome" (click)="map()">
          <ion-icon item-start class="btn-inhome" name="ios-home"></ion-icon>
          <p class="name4">แผนที่บ้าน</p>
        </button>
      </ion-col>
      <ion-col col-10>
        <button ion-button full class="btnhome" (click)="home()">
          <ion-icon item-start class="btn-inhome" name="ios-home"></ion-icon>
          <p class="name4">หน้าหลัก</p>
        </button>
      </ion-col>
      <ion-col col-1>

      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>